# Node Foundation CTC Meeting 2016-10-12
## Links

* **Audio Recording**: TBP
* **GitHub Issue**: [#9020](https://github.com/nodejs/node/issues/9020)
* **Minutes Google Doc**: <https://docs.google.com/document/d/16l9D_OvAkeG6JoM_HRomHcFl--FTB61quvIWo9QfsVw>
* _Previous Minutes Google Doc: <https://docs.google.com/document/d/1qRJiogKTWvxiHQ3S16MIR7BlynbXZPjqWwPScUSI2Rg>_

## Present

* Сковорода Никита Андреевич @ChALkeR (CTC)
* Colin Ihrig @cjihrig (CTC)
* Evan Lucas @evanlucas (CTC)
* Jeremiah Senkpiel @Fishrock123 (CTC)
* Michael Dawson @mhdawson (CTC)
* Brian White @mscdex (CTC)
* Ali Ijaz Sheikh @ofrobots (CTC)
* Shigeki Ohtsu @shigeki (CTC)
* Sakthipriyan Vairamani @thefourtheye (observer)
* Trevor Norris @trevnorris (CTC)
* Rich Trott @Trott (CTC)

## Standup

* Сковорода Никита Андреевич @ChALkeR (CTC)
  * Nothing worth mentioning.
    I was busy for the last week, catching up now.
* Colin Ihrig @cjihrig (CTC)
  * Issue and PR review. A few PRs for tests.
* Evan Lucas @evanlucas (CTC)
  * Opened a few PRs
  * Some issue/pr review
  * Wrote Chrome extension to make generating review metadata easier
* Jeremiah Senkpiel @Fishrock123 (CTC)
  * misc PRs / issues
  * working with the ChakraCore team on ES Modules
  * v6.8.0 Release
* Michael Dawson @mhdawson (CTC)
  * Misc review + land
  * Back to working on adding nightly code coverage build
  * ABI stable API PoC
  * Keeping up to date on issues
* Brian White @mscdex (CTC)
  * Worked on improved string encoding/decoding performance
  * Reviewed PRs, commented on issues
* Ali Ijaz Sheikh @ofrobots (CTC)
  * Travelling last week so not too much
* Shigeki Ohtsu @shigeki (CTC)
  * Review some PR and issues related to crypto.
* Sakthipriyan Vairamani @thefourtheye (observer)
  * catching up
  * reviewing PRs and commenting
* Trevor Norris (CTC)
    * Finishing up implementing parentId for async hooks
* Rich Trott @Trott (CTC)
  * Issue and PR review
  * governance discussions/issues
  * Outreachy mentoring prep/work with applicants

## Agenda

Extracted from **ctc-agenda** labelled issues and pull requests from the **nodejs org** prior to the meeting.

### nodejs/node

* governance: expand use of CTC issue tracker [#8945](https://github.com/nodejs/node/pull/8945)
* doc: add supported platforms list [#8922](https://github.com/nodejs/node/pull/8922)
* net: multiple listen() events fail silently [#8419](https://github.com/nodejs/node/pull/8419)

### nodejs/TSC

* Consider folding TSC into CTC [#146](https://github.com/nodejs/TSC/issues/146)


## Previous Meeting Review

### nodejs/node

* doc: add supported platforms list [#8922](https://github.com/nodejs/node/pull/8922)
  * approved last week, if any objections comment now
    on issue
* Intl: Consider deprecating Intl.v8BreakIterator [#8865](https://github.com/nodejs/node/issues/8865)
  * now closed so resolved
* net: multiple listen() events fail silently [#8419](https://github.com/nodejs/node/pull/8419)
  * back on agenda for this week

### nodejs/CTC

* Scheduling Meetings [#14](https://github.com/nodejs/CTC/issues/14)
  * resolved, new meeting schedule set for next month.

## Minutes

### governance: expand use of CTC issue tracker [#8945](https://github.com/nodejs/node/pull/8945)

  * don't want to change decision making process without
    putting through current process.
  * ctc-review label would be useful.  For issues we need to
    come to consensus but that we don't need to bring to meeting.
    Still good to open issues in CTC repo.
  * Comment from @thefourtheye that section on consensus
    seeking model could use some clarification. Rich -> likely
    out of scope for this change.
  * This only applies to issues that don't need a vote, votes
    mostly required when consensus cannot be achieved.
  * Please add your comments or LTGM to the issue.

### doc: add supported platforms list [#8922](https://github.com/nodejs/node/pull/8922)

  * discussed last week and input provided by CTC.
  * removed from CTC-agenda.


### net: multiple listen() events fail silently [#8419](https://github.com/nodejs/node/pull/8419)

  * latest discussion in issue still around if there is
    any other way to close socket.
  * you will already get errors if you listen twice.
  * Some discussion, but missing proponents so discussion
    back into github issue.
  * If you object to it going into 7 (even though semver major)
    make sure to comment.


###  Consider folding TSC into CTC [#146](https://github.com/nodejs/TSC/issues/146)
  * Already discussed in TSC, here to discuss with those not in CTC.
  * no strong opinions voiced beyond what is in issue.
  * comments that we have gotten questions as to
    why we have 2 bodies.


### General v7.0.0 / v6 LTS Planning / Discussion


* 2 weeks out from V7.0 - Jerimiah handling this one.
* 6 days from LTS release - Rodd handling this one.
* v6 Current release should go out today.


### http: improve invalid character in header error message [9010](https://github.com/nodejs/node/pull/9010)

* asked if this could go into 7, some discussion, take
  ongoing discussion back to github

## Q/A on public channels


## Upcoming Meetings

* CTC: 2016-10-19, 1pm Pacific
* TSC: 2016-10-13, 1pm Pacific
* Build: 2016-10-11
* Diagnostics: first week of November
* Benchmarking:
* LTS: 2016-10-17
* Post-Mortem:
* API:
