# Node Foundation CTC Meeting 2016-10-26

## Links

* **Audio Recording**: TBP
* **GitHub Issue**:
[#9261](https://github.com/nodejs/node/issues/9261)
* **Minutes Google Doc**: <https://docs.google.com/document/d/1dUPFNyK8Yn1yWRAcXPY-mWM2KMWvOOB8Z5BH2s7RpJs>
* _Previous Minutes Google Doc: <https://docs.google.com/document/d/18rnF8IfO10aQ0gRRasH3zSuv397-lm_x1fX1FSGcV7E>_


## Present

* Anna Henningsen @addaleax (CTC)
* Bradley Meck @bmeck (observer/GoDaddy/TC39)
* Ben Noordhuis @bnoordhuis (CTC)
* Сковорода Никита Андреевич @ChALkeR (CTC)
* Colin Ihrig @cjihrig (CTC)
* Evan Lucas @evanlucas (CTC)
* James M Snell @jasnell (CTC)
* Brian White @mscdex (CTC)
* Ali Ijaz Sheikh @ofrobots (CTC)
* Seth Thompson @s3ththompson (observer/Google)
* Shigeki Ohtsu @shigeki (CTC)
* Sakthipriyan Vairamani @thefourtheye (observer)
* Rich Trott @Trott (CTC)


## Standup

* Anna Henningsen @addaleax (CTC)
  * Not much
* Bradley Meck @bmeck (observer/GoDaddy/TC39)
  * Work on making inspector work w/ vm
  * Minor talks w/ modules spec authors
* Ben Noordhuis @bnoordhuis (CTC)
  * (Nothing reported.)
* Сковорода Никита Андреевич @ChALkeR (CTC)
  * Rebuilt a new dataset from npm packages, some further work on the tooling
  * Some issue/pr comments as usual
  * Some ecosystem security stuff
* Colin Ihrig @cjihrig (CTC)
  * Reviewing issues and PRs, opened a few PRs, libuv 1.10.0 update
* Evan Lucas @evanlucas (CTC)
  * Working on getting libuv to use fsevents for file watching on OS X
  * Opened small PR to fix a test that kept failing on freebsd
* James M Snell @jasnell (CTC)
  * Getting v7.0.0 out the door
  * PRs
  * More work on HTTP/2
* Brian White @mscdex (CTC)
  * Continued working on string encoding/decoding performance. Starting to see even more promising results.
  * Reviewed PRs, commented on issues
* Ali Ijaz Sheikh @ofrobots (CTC)
  * Not much
* Seth Thompson @s3ththompson (observer/Google)
  * V8 5.5 beta shipped with async/await
* Shigeki Ohtsu @shigeki (CTC)
  * Reviewed a few PR and made a security assessments of CVE-2016-8610 for Node-v0.10 and 0.12.
* Sakthipriyan Vairamani @thefourtheye (observer)
  * Held an event to help people to get their first contribution into Node.js
  * Looking at V8 code base
* Rich Trott @Trott (CTC)
  * Outreachy, Node Todo, Node Interactive prep
  * test and tools PRs
  * usual PR review/commenting


---


## Agenda


Extracted from **ctc-agenda** labelled issues and pull requests from the **nodejs org** prior to the meeting.


### nodejs/TSC


* Consider folding TSC into CTC [#146](https://github.com/nodejs/TSC/issues/146)


### nodejs/node


* Debugging: name every function
[#8913]https://github.com/nodejs/node/issues/8913


---


## Previous Meeting Review


Extracted from **ctc-agenda** labelled issues and pull requests from the **nodejs org** prior to the meeting.


### nodejs/node


* doc: add ctc-review label information [#9072](https://github.com/nodejs/node/pull/9072) @Trott
* http: improve invalid character in header error message [#9010](https://github.com/nodejs/node/pull/9010) @evanlucas
* net: multiple listen() events fail silently [#8419](https://github.com/nodejs/node/pull/8419) @jasnell


### nodejs/TSC


* Consider folding TSC into CTC [#146](https://github.com/nodejs/TSC/issues/146) @rvagg


---


## Minutes


### Consider folding TSC into CTC


Rich: Defer until Rod is here and have the conversation in the issue tracker until then?


James: Makes sense. Also, TSC call is tomorrow so it can be discussed then.


### Debugging: name every function


Rich: It seemed like a good idea initially, but it is not clear if it is a good thing in all cases (some +, some -). Issue is marked as good first contribution which means lots of new contributors are coming in.
Myles wanted a quick resolution, but it is not clear there is a quick resolution. Someone needs to sit down and come up with a list of cases where it would be beneficial


Brian: Prototype functions?


Rich: That is a case where it doesn't add value but doesn't hurt either. There are other cases where it does remove information.


Sakthipriyan: One example was fs.readFileSync..


Brian: V8 may also be inferring names from a variable in cases when you do `let a = () => {...}`. Another case to take into consideration.


Rich: Move back to the issue tracker; remove 'good-first-contribution' label until we have documented what should/shouldn't be done. I can work with someone, or come up with documentation.


Floor: General agreement? Yes, general agreement.
